## org.apache.lucene.xmlparser.builders
Class FilteredQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.FilteredQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class FilteredQueryBuilder

extends Object
implements QueryBuilder

Constructor Summary
`FilteredQueryBuilder(FilterBuilder filterFactory, QueryBuilder queryFactory)`

Method Summary
`org.apache.lucene.search.Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredQueryBuilder

    public FilteredQueryBuilder(FilterBuilder filterFactory,
                                QueryBuilder queryFactory)

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`